#!/bin/sh
#
# This script template is used by the Threads tool of the
# Razor tool suite.  It will be used as the header to the 
# Razor remote command-line script
# which will populate a set of directories with files
# defined for a version of a Thread.  Note the the get_file_remote() function
# must exist because the Threads program will append commands to
# obtain files using this command.
#
# NOTE:  As a debugging aid, add " -xv" to the first line of this script.  Execution
# of the script will then be done in debug mode whereby each statement is echoed
# followed by its corresponding output.
#
#############################################################
#
#
# get_file_remote()
# Usage:  get_file(file, version, destination, is_binary, rmtConnProfile, new_name)
#
# This function is REQUIRED because Razor will append commands
# which use it.  So, if you're going to change it, leave the name
# intact.
#
 
get_file_remote()
#
# Usage: get_file <filename> <version> <dest directory> <is_binary> <rmtConnProfile> <new_name>
#
 
	{

	if [ ! -d "$3" ]
	then
		mkdir -p "$3"
	fi

	if [ "$6" = "" ]
	then
		$RAZOR_HOME/scripts/razorRemote -c get -o -profile "$5" -dbgLevel $RZ_DBGLEVEL -f "$1" -g $RZ_GROUP -v $2 -d "$3"
	else
		BNAME_FILE=`basename "$1"`
		BNAME_DEST=`basename "$6"`

		$RAZOR_HOME/scripts/razorRemote -c get -o -profile "$5" -dbgLevel $RZ_DBGLEVEL -f "$1" -g $RZ_GROUP -v $2 -d "$RZ_TMP"
		mv "$RZ_TMP/$BNAME_FILE" "$3/$BNAME_DEST"
	fi
 
 
	}
 
#############################################################
 

